public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: install required packages from EPEL repository
Date: Fri, 11 Sep 2026 13:20:17 GMT	[thread overview]
Message-ID: <178913281742.1.1629849240779137437.tests-selinux-889bc16ec364@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 889bc16ec3644649a3f2e350f491df4b00bad053
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2022-11-10T15:20:13+00:00
            Stats  : +10/-0 in 4 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/889bc16ec3644649a3f2e350f491df4b00bad053?branch=pr775-checkpolicy-revdeps

            Log:
            install required packages from EPEL repository

For successful run, some tests require certain EPEL packages to be
installed.

---
diff --git a/selinux-policy/bgpd-and-similar/runtest.sh b/selinux-policy/bgpd-and-similar/runtest.sh
index c0581ba..7acd85e 100755
--- a/selinux-policy/bgpd-and-similar/runtest.sh
+++ b/selinux-policy/bgpd-and-similar/runtest.sh
@@ -48,6 +48,9 @@ rlJournalStart
         rlSESatisfyRequires
         rlAssertRpm ${PACKAGE}
         rlAssertRpm ${PACKAGE}-targeted
+        if ! rpm -q ${SERVICE_PACKAGE} ; then
+            rlRun "yum -y install ${SERVICE_PACKAGE} --enablerepo epel"
+        fi
         rlAssertRpm ${SERVICE_PACKAGE}
 
         rlServiceStop ${SERVICE_NAME}

diff --git a/selinux-policy/blueman-and-similar/runtest.sh b/selinux-policy/blueman-and-similar/runtest.sh
index f10bf19..a407ba3 100755
--- a/selinux-policy/blueman-and-similar/runtest.sh
+++ b/selinux-policy/blueman-and-similar/runtest.sh
@@ -44,6 +44,9 @@ rlJournalStart
         rlSESatisfyRequires
         rlAssertRpm ${PACKAGE}
         rlAssertRpm ${PACKAGE}-targeted
+        if ! rpm -q ${SERVICE_PACKAGE} ; then
+            rlRun "yum -y install ${SERVICE_PACKAGE} --enablerepo epel"
+        fi
         rlAssertRpm ${SERVICE_PACKAGE}
 
         rlServiceStop ${SERVICE_NAME}

diff --git a/selinux-policy/caddy-and-similar/main.fmf b/selinux-policy/caddy-and-similar/main.fmf
index f334e91..17570f3 100644
--- a/selinux-policy/caddy-and-similar/main.fmf
+++ b/selinux-policy/caddy-and-similar/main.fmf
@@ -30,3 +30,4 @@ link:
   - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=2122886
 extra-summary: /CoreOS/selinux-policy/Regression/caddy-and-similar
 extra-task: /CoreOS/selinux-policy/Regression/caddy-and-similar
+extra-nitrate: TC#0614303

diff --git a/selinux-policy/caddy-and-similar/runtest.sh b/selinux-policy/caddy-and-similar/runtest.sh
index 6af5376..7cf9384 100755
--- a/selinux-policy/caddy-and-similar/runtest.sh
+++ b/selinux-policy/caddy-and-similar/runtest.sh
@@ -40,6 +40,9 @@ rlJournalStart
         rlSESatisfyRequires
         rlAssertRpm ${PACKAGE}
         rlAssertRpm ${PACKAGE}-targeted
+        if ! rpm -q ${SERVICE_PACKAGE} ; then
+            rlRun "yum -y install ${SERVICE_PACKAGE} --enablerepo epel"
+        fi
         rlAssertRpm ${SERVICE_PACKAGE}
 
         rlServiceStop caddy caddy-api

                 reply	other threads:[~2026-09-11 13:20 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913281742.1.1629849240779137437.tests-selinux-889bc16ec364@fedoraproject.org \
    --to=mmalik@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox